<?php
/**
 * Null Decorator
 * 
 * @author Elze Kool <info@visualmedia.nl>
 */

namespace VisualM\ManagementBundle\AdminList\Column\Decorator;

use VisualM\ManagementBundle\AdminList\Column\ColumnConfigurationInterface;

/**
 * Null Decorator
 *
 * @author Elze Kool <info@visualmedia.nl>
 */
class NullDecorator implements ColumnDecoratorInterface
{
    /**
     * Column
     * @var ColumnConfigurationInterface 
     */
    private $column;

    /**
     * Constructor
     *
     * @param ColumnConfigurationInterface $column Column
     */
    public function __construct(ColumnConfigurationInterface $column)
    {
        $this->column = $column;
    }

    /**
     * {@inheritdoc}
     */
    public function getColumn()
    {
        return $this->column;
    }

    /**
     * {@inheritdoc}
     */
    public function getWidth()
    {
        return '';
    }

    /**
     * {@inheritdoc}
     */
    public function getSpan()
    {
        return '';
    }
    
}